/***************************************************************************
 *   Copyright (C) 2004 by Stefan Baur                                     *
 *   stefan@c0n.de                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KGLWATER_H
#define KGLWATER_H

#include <qgl.h>
#include <kconfig.h>
#include <qimage.h>
#include "glwater.h"

/**
The main rendering area for the water ... -> the pool

@author Stefan Baur
*/
class KGLWater : public QGLWidget
	{
		Q_OBJECT
	public:
		KGLWater(QWidget *parent = 0, const char *name = 0);
		virtual ~KGLWater();

		void readSettings(KConfig *config);

	protected:
		void initializeGL();
		void resizeGL( int, int );
		void paintGL();
		void timerEvent( QTimerEvent * );

	private:
		GLWater water;
		QImage bgImage;
	};

#endif
